MSKGraphInternal::SubDocument Class Reference

Internal: the subdocument of a MSKGraph. More...

Inheritance diagram for MSKGraphInternal::SubDocument:

## Public Types

enum | Type { RBILZone, Table, TextBox, TextBoxv4 }

## Public Member Functions

| SubDocument (MSKGraph &pars, MWAWInputStreamPtr input, Type type, int zoneId)
| SubDocument (MSKGraph &pars, MWAWInputStreamPtr input, Type type, MWAWEntry const &entry, std::string frame=std::string(""))
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
int | getId () const
| returns the subdocument id More...
void | setId (int vid)
| sets the subdocument id More...
void | parse (MWAWContentListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes

MSKGraph * | m_graphParser
| the graph parser More...
Type | m_type
| the type More...
int | m_id
| the subdocument id More...
std::string | m_frame
| the frame name: for textv4 More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions

| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a MSKGraph.

## Member Enumeration Documentation

enum MSKGraphInternal::SubDocument::Type

Enumerator
RBILZone |
Table |
TextBox |
TextBoxv4 |

## Constructor & Destructor Documentation

MSKGraphInternal::SubDocument::SubDocument | ( | MSKGraph & | pars,
|  | MWAWInputStreamPtr | input,
|  | Type | type,
|  | int | zoneId
| ) |  |

inline

MSKGraphInternal::SubDocument::SubDocument | ( | MSKGraph & | pars,
|  | MWAWInputStreamPtr | input,
|  | Type | type,
|  | MWAWEntry const & | entry,
|  | std::string | frame = `std::string("")`
| ) |  |

inline

virtual MSKGraphInternal::SubDocument::~SubDocument | ( |  | ) |

inline virtual

destructor

MSKGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |

private

## Member Function Documentation

int MSKGraphInternal::SubDocument::getId | ( |  | ) | const

inline

returns the subdocument id

bool MSKGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

virtual

operator!=

Reimplemented from MWAWSubDocument.

Referenced by operator==().

SubDocument& MSKGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |

private

virtual bool MSKGraphInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const

inline virtual

operator!==

void MSKGraphInternal::SubDocument::parse | ( | MWAWContentListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |

virtual

the parser function

Implements MWAWSubDocument.

void MSKGraphInternal::SubDocument::setId | ( | int | vid | ) |

inline

sets the subdocument id

## Member Data Documentation

std::string MSKGraphInternal::SubDocument::m_frame

protected

the frame name: for textv4

Referenced by operator!=(), and parse().

MSKGraph* MSKGraphInternal::SubDocument::m_graphParser

protected

the graph parser

Referenced by operator!=(), and parse().

int MSKGraphInternal::SubDocument::m_id

protected

the subdocument id

Referenced by getId(), operator!=(), parse(), and setId().

Type MSKGraphInternal::SubDocument::m_type

protected

the type

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- MSKGraph.cxx